Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web
Interface AbstractWebContainerMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean, org.jboss.deployment.SubDeployerMBean

All Known Implementing Classes:
  AbstractWebContainer

public interface AbstractWebContainerMBean
extends org.jboss.deployment.SubDeployerMBean

MBean interface.

See Also:
  `AbstractWebDeployer`

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`Element` | `getConfig()` An accessor for any configuration element set via setConfig.
`String` | `getDefaultSecurityDomain()` Get the default security domain implementation to use if a war does not declare a security-domain.
`Iterator` | `getDeployedApplications()` Returns the applications deployed by the web container subclasses.
`boolean` | `getJava2ClassLoadingCompliance()` Get the flag indicating if the normal Java2 parent first class loading model should be used over the servlet 2.3 web container first model.
`boolean` | `getLenientEjbLink()` Get the flag indicating if ejb-link errors should be ignored in favour of trying the jndi-name in jboss-web.xml
`String` | `getSubjectAttributeName()` Get the session attribute number under which the caller Subject is stored
`boolean` | `getUnpackWars()` Set the flag indicating if war archives should be unpacked.
`boolean` | `isDeployed(String warUrl)` See if a war is deployed.
`void` | `setConfig(Element config)` This method is invoked to import an arbitrary XML configuration tree.
`void` | `setDefaultSecurityDomain(String defaultSecurityDomain)` Set the default security domain implementation to use if a war does not declare a security-domain.
`void` | `setJava2ClassLoadingCompliance(boolean flag)` Set the flag indicating if the normal Java2 parent first class loading model should be used over the servlet 2.3 web container first model.
`void` | `setLenientEjbLink(boolean flag)` Set the flag indicating if ejb-link errors should be ignored in favour of trying the jndi-name in jboss-web.xml
`void` | `setSubjectAttributeName(String subjectAttributeName)` Set the session attribute number under which the caller Subject is stored
`void` | `setUnpackWars(boolean flag)` Get the flag indicating if war archives should be unpacked.

Methods inherited from interface org.jboss.deployment.SubDeployerMBean
`accepts, create, destroy, getRelativeOrder, getSuffixes, init, setRelativeOrder, setSuffixes, start, stop`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getJava2ClassLoadingCompliance

    public boolean getJava2ClassLoadingCompliance()

  Get the flag indicating if the normal Java2 parent first class loading model should be used over the servlet 2.3 web container first model.

  Returns:
    true for parent first, false for the servlet 2.3 model

### setJava2ClassLoadingCompliance

    public void setJava2ClassLoadingCompliance(boolean flag)

  Set the flag indicating if the normal Java2 parent first class loading model should be used over the servlet 2.3 web container first model.

  Parameters:
    `flag` - true for parent first, false for the servlet 2.3 model

### getUnpackWars

    public boolean getUnpackWars()

  Set the flag indicating if war archives should be unpacked. This may need to be set to false as long extraction paths under deploy can show up as deployment failures on some platforms.

  Returns:
    true is war archives should be unpacked

### setUnpackWars

    public void setUnpackWars(boolean flag)

  Get the flag indicating if war archives should be unpacked. This may need to be set to false as long extraction paths under deploy can show up as deployment failures on some platforms.

  Parameters:
    `flag` - , true is war archives should be unpacked

### getLenientEjbLink

    public boolean getLenientEjbLink()

  Get the flag indicating if ejb-link errors should be ignored in favour of trying the jndi-name in jboss-web.xml

  Returns:
    the LenientEjbLink flag

### setLenientEjbLink

    public void setLenientEjbLink(boolean flag)

  Set the flag indicating if ejb-link errors should be ignored in favour of trying the jndi-name in jboss-web.xml

### getDefaultSecurityDomain

    public String getDefaultSecurityDomain()

  Get the default security domain implementation to use if a war does not declare a security-domain.

  Returns:
    jndi name of the security domain binding to use.

### setDefaultSecurityDomain

    public void setDefaultSecurityDomain(String defaultSecurityDomain)

  Set the default security domain implementation to use if a war does not declare a security-domain.

  Parameters:
    `defaultSecurityDomain` - - jndi name of the security domain binding to use.

### getSubjectAttributeName

    public String getSubjectAttributeName()

  Get the session attribute number under which the caller Subject is stored

### setSubjectAttributeName

    public void setSubjectAttributeName(String subjectAttributeName)

  Set the session attribute number under which the caller Subject is stored

### isDeployed

    public boolean isDeployed(String warUrl)

  See if a war is deployed.

### getDeployedApplications

    public Iterator getDeployedApplications()

  Returns the applications deployed by the web container subclasses.

  Returns:
    An Iterator of WebApplication objects for the deployed wars.

### getConfig

    public Element getConfig()

  An accessor for any configuration element set via setConfig. This method always returns null and must be overriden by subclasses to return a valid value.

### setConfig

    public void setConfig(Element config)

  This method is invoked to import an arbitrary XML configuration tree. Subclasses should override this method if they support such a configuration capability. This implementation does nothing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.